package intrinsic.mx.controls;

public class List extends intrinsic.mx.controls.listClasses.ListBase implements intrinsic.mx.core.IIMESupport {

	/** Accessors */
	public int lockedRowCount;
	public intrinsic.mx.controls.listClasses.IListItemRenderer editedItemRenderer;
	public String imeMode;
	public double baselinePosition;
	public Object editedItemPosition;

	/** Variables */
	public double editorYOffset;
	public double editorWidthOffset;
	public intrinsic.mx.core.IFactory itemEditor;
	public boolean editable;
	public boolean editorUsesEnterKey;
	public String editorDataField;
	public double editorHeightOffset;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean rendererIsEditor;
	public double editorXOffset;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public List() {
}


/** Static Methods */

/** Methods */
public native void createItemEditor(int arg0, int arg1);
public native boolean isItemEditable(Object arg0);
public native void destroyItemEditor();
public native double measureWidthOfItems();
public native double measureWidthOfItems(int arg0);
public native double measureWidthOfItems(int arg0, int arg1);
public native intrinsic.mx.controls.listClasses.IListItemRenderer createItemRenderer(Object arg0);
public native double measureHeightOfItems();
public native double measureHeightOfItems(int arg0);
public native double measureHeightOfItems(int arg0, int arg1);
public native intrinsic.mx.core.IFactory getItemRendererFactory(Object arg0);

}
